﻿using FabAccessAPI;
using System;
using System.Collections.Generic;

namespace FabAccessAPI_Test
{
    public static class TestEnv
    {
        public const string SCHEMA = "fabaccess";
        public const string TESTSERVER = "127.0.0.1";//"bffh.lab.bln.kjknet.de";
        public const int TESTSERVER_PORT = 59666;
        public const string PASSWORD = "secret";

        public static ConnectionData CreateConnetionData(string username)
        {
            ConnectionData connectionData = new ConnectionData()
            {
                Host = new UriBuilder(TestEnv.SCHEMA, TestEnv.TESTSERVER, TestEnv.TESTSERVER_PORT).Uri,
                Mechanism = Mechanism.PLAIN,
                Username = username,
                Properties = new Dictionary<string, object>()
                {
                    { "Username", username },
                    { "Password", TestEnv.PASSWORD },
                },
            };

            return connectionData;
        }
    }
}
