﻿namespace FabAccessAPI
{
    public enum ConnectionStatusChange
    {
        /// <summary>
        /// Client has established connection to server.
        /// </summary>
        Connected,
        /// <summary>
        /// Client has closed connection to server.
        /// </summary>
        Disconnected,
        /// <summary>
        /// Connection was lost and Client has reestablished connection to server.
        /// </summary>
        Reconnected,
        /// <summary>
        /// Connection was lost and can be reestablished with reconnect
        /// Connection should be closed if reconnecting fails.
        /// </summary>
        ConnectionLoss
    }
}
